gr::lte::pss_tagger_cc Class Referenceabstract

<+description of block+> More...

`#include <pss_tagger_cc.h>`

Inheritance diagram for gr::lte::pss_tagger_cc:
[legend]

## Public Types

typedef boost::shared_ptr< pss_tagger_cc > | sptr

## Public Member Functions

virtual void | set_half_frame_start (int start)=0
virtual void | set_N_id_2 (int nid2)=0
virtual void | lock ()=0
virtual void | unlock ()=0

## Static Public Member Functions

static sptr | make (int fftl, std::string name="pss_tagger_cc")
| Return a shared_ptr to a new instance of lte::pss_tagger_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pss_tagger_cc> gr::lte::pss_tagger_cc::sptr

## Member Function Documentation

## lock()

virtual void gr::lte::pss_tagger_cc::lock | ( |  | ) |

pure virtual

Implemented in gr::lte::pss_tagger_cc_impl.

## make()

static sptr gr::lte::pss_tagger_cc::make | ( | int | fftl,
|  | std::string | name = "pss_tagger_cc" )

static

Return a shared_ptr to a new instance of lte::pss_tagger_cc.

To avoid accidental use of raw pointers, lte::pss_tagger_cc's constructor is in a private implementation class. lte::pss_tagger_cc::make is the public interface for creating new instances.

## set_half_frame_start()

virtual void gr::lte::pss_tagger_cc::set_half_frame_start | ( | int | start | ) |

pure virtual

Implemented in gr::lte::pss_tagger_cc_impl.

## set_N_id_2()

virtual void gr::lte::pss_tagger_cc::set_N_id_2 | ( | int | nid2 | ) |

pure virtual

Implemented in gr::lte::pss_tagger_cc_impl.

## unlock()

virtual void gr::lte::pss_tagger_cc::unlock | ( |  | ) |

pure virtual

Implemented in gr::lte::pss_tagger_cc_impl.

The documentation for this class was generated from the following file:

- pss_tagger_cc.h